DECLARE @DatabaseName SYSNAME = DB_NAME();
DECLARE @id INT = 1;

SET IDENTITY_INSERT [dbo].[BlacklistHeapTable] ON;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'BlacklistHeapTable');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'BlacklistIndexTable');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'Cpu');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'Heap');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'IndexDuplicates');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'IndexUnnecessary');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'InstanceLinkedServerConfig');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'Io');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'PerformanceThresholds');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'PlanCache');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'Query');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'Ram');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'RamPressure');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'Session');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'StatisticsToBeRefreshed');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'TempDbIo');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'Wait');
SET @id = @id + 1;

IF NOT EXISTS (SELECT 1 FROM [dbo].[BlacklistHeapTable] WHERE [Id] = @id)
INSERT INTO [dbo].[BlacklistHeapTable] ([Id], [Database], [Table])
VALUES (@id, @DatabaseName, N'WhiteListWaitType');
SET @id = @id + 1;