SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE OR ALTER   PROCEDURE [dbo].[GetRamPercentageUsed]
AS
BEGIN
    SET NOCOUNT ON;

    DECLARE @PercentageUsedServer INT;

    SELECT @PercentageUsedServer =
        CAST(100.0 * (total_physical_memory_kb - available_physical_memory_kb) / total_physical_memory_kb AS INT)
    FROM sys.dm_os_sys_memory;

    INSERT INTO dbo.Ram (PercentageUsedServer)
    VALUES (@PercentageUsedServer);
END;
GO