SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE OR ALTER PROCEDURE [dbo].[GetSession]
AS
BEGIN
    SET NOCOUNT ON;

    DECLARE 
        @Total INT,
        @Running INT;

    SELECT 
        @Total = COUNT(*),
        @Running = SUM(CASE WHEN status = 'running' THEN 1 ELSE 0 END)
    FROM sys.dm_exec_sessions;

    INSERT INTO dbo.Session (Total, Running)
    VALUES (@Total, @Running);
END;
GO