GO
CREATE OR ALTER FUNCTION [dbo].[GetHintByMetricName] (
    @MetricName NVARCHAR(MAX)
)
RETURNS NVARCHAR(MAX)
AS
BEGIN
    DECLARE @Hint NVARCHAR(MAX);

    SELECT @Hint = Hint
    FROM dbo.PerformanceThresholds
    WHERE UPPER(MetricName) = UPPER(@MetricName);

    RETURN ISNULL(@Hint, N'Kein Hinweis verfgbar.');
END;
GO