GO
CREATE OR ALTER FUNCTION [dbo].[GetMetricTextByMetricName] (
    @MetricName NVARCHAR(MAX)
)
RETURNS NVARCHAR(MAX)
AS
BEGIN
    DECLARE @Text NVARCHAR(MAX);

    SELECT @Text = MetricText
    FROM dbo.PerformanceThresholds
    WHERE UPPER(MetricName) = UPPER(@MetricName);

    RETURN ISNULL(@Text, N'Unbekannte Metrik');
END;
GO