IF OBJECT_ID('dbo.Cpu', 'U') IS NULL
BEGIN
CREATE TABLE [dbo].[Cpu](
	[Date] [datetime2](0) NOT NULL,
	[PercentageUsedServer] [int] NOT NULL
) ON [PRIMARY];


ALTER TABLE [dbo].[Cpu] ADD  CONSTRAINT [DF_Cpu_Date]  DEFAULT (getdate()) FOR [Date];


CREATE NONCLUSTERED INDEX [IX_Cpu_Date] ON [dbo].[Cpu]
(
	[Date] ASC
)
INCLUDE([PercentageUsedServer]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 100) ON [PRIMARY]
END
GO