IF OBJECT_ID('dbo.PerformanceThresholds', 'U') IS NULL
BEGIN
CREATE TABLE [dbo].[PerformanceThresholds](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[MetricName] [nvarchar](max) NOT NULL,
	[MetricText] [nvarchar](max) NULL,
	[YellowThreshold] [int] NULL,
	[RedThreshold] [int] NULL,
	[Description] [nvarchar](max) NULL,
	[Hint] [nvarchar](max) NULL,
	InverseLogic BIT NOT NULL DEFAULT(0),
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 100) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO