@echo off
REM ============================================================================
REM Voraussetzungen:
REM - SQL Server Command Line Utilities (sqlcmd) muss installiert sein
REM - Ziel-SQL-Server erreichbar unter "Server"
REM - Windows-Authentifizierung wird verwendet (-E)
REM - Datenbank "Database" muss existieren
REM - Script-Datei "install.sql" muss im gleichen Verzeichnis liegen
REM ============================================================================

@echo off
SET LOG=log.txt
SET SERVER=serverName
SET DB=DatabaseName

REM Altes Log lschen
IF EXIST %LOG% DEL %LOG%

REM Erstes Skript ausfhren
sqlcmd -S %SERVER% -d %DB% -E -i install.sql >> %LOG% 2>&1

IF %ERRORLEVEL% NEQ 0 (
    echo Fehler beim Ausfhren. Details siehe %LOG%
    notepad %LOG%
) ELSE (
    echo Installation abgeschlossen. Bitte pruefen, ob Fehler vorgefallen sind! Das Log befindet sich hier: %LOG%
)
pause

